Bug 516024 - guestfish: segfault in tab completion of device name
guestfish: segfault in tab completion of device name
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-06 08:50 EDT by Richard W.M. Jones
Modified: 2010-03-16 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-06 10:11:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-08-06 08:50:00 EDT
To reproduce, run guestfish, then type:

alloc /tmp/test.img 200M
run
sfdiskM /de       <--- now hit the [TAB] key

Result:

*** glibc detected *** /home/rjones/d/libguestfs/fish/.libs/lt-guestfish: double free or corruption (fasttop): 0x000000000065df10 ***
======= Backtrace: =========
/lib64/libc.so.6[0x7ffff7431986]
/home/rjones/d/libguestfs/fish/.libs/lt-guestfish[0x413149]
/lib64/libreadline.so.6(rl_completion_matches+0x63)[0x7ffff7976c63]
/lib64/libreadline.so.6[0x7ffff7976d1a]
/lib64/libreadline.so.6(rl_complete_internal+0x123)[0x7ffff79782c3]
/lib64/libreadline.so.6(_rl_dispatch_subseq+0xd2)[0x7ffff796fd72]
/lib64/libreadline.so.6(readline_internal_char+0xa0)[0x7ffff7970530]
/lib64/libreadline.so.6(readline+0x55)[0x7ffff7970a35]
/home/rjones/d/libguestfs/fish/.libs/lt-guestfish[0x4142b4]
/home/rjones/d/libguestfs/fish/.libs/lt-guestfish[0x41514c]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x7ffff73dab8d]
/home/rjones/d/libguestfs/fish/.libs/lt-guestfish[0x406a49]

Version:

git 5d78de834c53bfe29d2cc0397ac093428abe8425
Comment 1 Richard W.M. Jones 2009-08-06 09:40:53 EDT
Posted:
https://www.redhat.com/archives/libguestfs/2009-August/msg00089.html
Comment 3 Fedora Update System 2009-08-06 14:09:58 EDT
libguestfs-1.0.66-1.fc11.1 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-1.fc11.1
Comment 4 Fedora Update System 2009-08-07 04:33:47 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 5 Fedora Update System 2009-08-14 04:23:21 EDT
libguestfs-1.0.67-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.fc11
Comment 6 Fedora Update System 2009-08-14 05:13:32 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 7 Fedora Update System 2009-08-19 14:31:29 EDT
libguestfs-1.0.68-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-2.fc11
Comment 8 Fedora Update System 2009-08-19 17:54:58 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 9 Fedora Update System 2009-09-06 16:47:18 EDT
libguestfs-1.0.68-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-09-08 18:59:10 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.